#ifndef HTTPREQ_H
#define HTTPREQ_H

#include <QObject>
#include "includes.h"

class MainDlg;

class HttpReq : public QObject
{
    Q_OBJECT
public:
    explicit HttpReq(QObject *parent = nullptr);
    MainDlg *m_pMainDlg;

    //配置网路参数
    quint8 configNetworkParam(QString strHostAddress, QString strPort);
    QString sendPostReq(QString strApiName, QJsonObject jsonObject);

private:
    QString m_strBaseUrl;//网络基地址
    QNetworkAccessManager *m_pNetworkManager;//网络管理对象

    void init();

signals:
};

#endif // HTTPREQ_H
