#ifndef INCLUDES_H
#define INCLUDES_H

#include <QList>
#include <QString>
#include <QByteArray>
#include <QCloseEvent>
#include <QDebug>
#include <QVariant>
#include <QTimer>
#include <QThread>
#include <QDateTime>

#include <QMessageBox>

//串口
#include <QSerialPortInfo>
#include <QSerialPort>

//文件
#include <QFileDialog>
#include <QFile>
#include <QIODevice>

//ini文件
#include <QSettings>

//网络
#include <QNetworkAccessManager>
#include <QNetworkRequest>
#include <QNetworkReply>
#include <QUrl>
#include <QEventLoop>

//json
#include <QJsonDocument>
#include <QJsonObject>

#include <QIcon>

#define MAIN_SOFT_TYPE_DEV 1//开发版
#define MAIN_SOFT_TYPE_PRO 2//生产版

#define MAIN_SOFT_NAME "声波定位系统网管软件"
#define MAIN_SOFT_MODE "IPS8000GUI "

//2.00.3，2024-10-19，区分设备类型
//2.1.01，2024-12-18，正式发布版本，修改同步模块、基站参数模块
//2.2.02，2024-12-20，增加重置参数功能，正式发布网管软件
//2.2.03，2025-03-06，增加rtc功能
#define MAIN_SOFT_VERSION "2.2.03"

#endif // INCLUDES_H
