QT += core gui serialport network

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

CONFIG += force_debug_info

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    httpreq.cpp \
    main.cpp \
    maindlg.cpp\
    oambtsparam.cpp \
    oamsynctimer.cpp \
    oamupgrade.cpp \
    ps.cpp \
    sysconfig.cpp \
    uart.cpp\
    oambaseparam.cpp\
    oamconfigparam.cpp\
    oaminstallparam.cpp\
    oamnetworkparam.cpp\
    oamsyncparam.cpp

HEADERS += \
    httpreq.h \
    includes.h \
    maindlg.h\
    oambtsparam.h \
    oamsynctimer.h \
    oamupgrade.h \
    pspublic.h\
    ps.h \
    sysconfig.h \
    uart.h\
    oambaseparam.h\
    oamconfigparam.h\
    oaminstallparam.h\
    oamnetworkparam.h\
    oamsyncparam.h

FORMS += \
    maindlg.ui\
    oambaseparam.ui\
    oambtsparam.ui \
    oamconfigparam.ui\
    oaminstallparam.ui\
    oamnetworkparam.ui\
    oamsyncparam.ui \
    oamsynctimer.ui \
    oamupgrade.ui \
    sysconfig.ui

TRANSLATIONS += \
    gui8000_zh_CN.ts
CONFIG += lrelease
CONFIG += embed_translations

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
