#ifndef SYSCONFIG_H
#define SYSCONFIG_H

#include <QWidget>

class MainDlg;
namespace Ui {
class sysconfig;
}

//系统配置管理结构
typedef struct
{
    QString hostUrl;
    quint32 hostPort;
    quint32 projectId;
}SYS_CONFIG_T;

class sysconfig : public QWidget
{
    Q_OBJECT

public:
    explicit sysconfig(QWidget *parent = nullptr);
    ~sysconfig();

    void getSysConfigParam(QString *pstrHostUrl, QString *pstrHostPort);


private:
    Ui::sysconfig *ui;
    MainDlg *m_pMainDlg;
    SYS_CONFIG_T m_stSysConfig;

    void configSignalSlot();
    void initUi();

    void selectAllItem();
    void selectAllNoItem();
    void clearAllItem();

    void queryParam();//查询参数
    void configParam();//配置参数
};

#endif // SYSCONFIG_H
